Bug 36521

Summary: check-webkit-style: Rename --debug and --verbose flags to --verbose and --min-confidence, respectively
Product: WebKit Reporter: Chris Jerdonek <cjerdonek>
Component: Tools / TestsAssignee: Chris Jerdonek <cjerdonek>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, cjerdonek, commit-queue, eric, hamaji, levin
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Proposed patch hamaji: review+, commit-queue: commit-queue-

Description Chris Jerdonek 2010-03-24 01:17:20 PDT
Making a report as discussed here: https://bugs.webkit.org/show_bug.cgi?id=36100#c7
Comment 1 Chris Jerdonek 2010-03-27 09:09:46 PDT
Created attachment 51830 [details]
Proposed patch

Surprisingly many changes here!
Comment 2 Shinichiro Hamaji 2010-03-28 04:31:21 PDT
Comment on attachment 51830 [details]
Proposed patch

> Surprisingly many changes here!

Yeah, but it was super easy to review because you only changed names, thanks!
Comment 3 WebKit Commit Bot 2010-03-28 04:47:44 PDT
Comment on attachment 51830 [details]
Proposed patch

Rejecting patch 51830 from commit-queue.

Failed to run "['/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', '--reviewer', 'Shinichiro Hamaji', '--force']" exit_code: 1
Last 500 characters of output:
1 line).
Hunk #2 succeeded at 51 (offset 1 line).
Hunk #3 succeeded at 91 (offset 9 lines).
Hunk #4 succeeded at 126 (offset 9 lines).
Hunk #5 FAILED at 151.
Hunk #6 succeeded at 206 (offset 16 lines).
Hunk #7 succeeded at 242 (offset 16 lines).
1 out of 7 hunks FAILED -- saving rejects to file WebKitTools/Scripts/webkitpy/style/optparser_unittest.py.rej
patching file WebKitTools/Scripts/webkitpy/style/processors/cpp.py
patching file WebKitTools/Scripts/webkitpy/style/processors/cpp_unittest.py

Full output: http://webkit-commit-queue.appspot.com/results/1622037
Comment 4 Chris Jerdonek 2010-03-28 08:25:09 PDT
(In reply to comment #2)
> (From update of attachment 51830 [details])
> > Surprisingly many changes here!
> 
> Yeah, but it was super easy to review because you only changed names, thanks!

Thanks!

Manually committed after rebasing/merging:

http://trac.webkit.org/changeset/56692